VirtualBox

Ticket #19336 (closed defect: fixed)

Opened 7 months ago

Last modified 7 weeks ago

Linux guest: shared clipboard doesn't work (on fresh VirtualBox-6.1.4-136177) => fixed in 6.1.6

Reported by: McMike Owned by: fbatschu
Component: clipboard Version: VirtualBox 6.1.4
Keywords: shared clipboard is broken Cc:
Guest type: Linux Host type: all

Description

I run Ubuntu 18.04.4 as a guest on Window 10 VirtualBox host. Ubuntu shared clipboard stopped working after installing new VirtualBox-6.1.4-136177. Looks like Linux GA 6.1.14 is broken at least on Ubuntu - shared clipboard doesn't work.

-- Forum:  https://forums.virtualbox.org/viewtopic.php?f=3&t=96957

Attachments

VBox.log Download (88.4 KB) - added by Edmund Laugasson 7 months ago.
The log of 64-bit Linux Mint 19.3 MATE virtual machine
Debian 10-2020-02-24-20-56-44.log Download (147.0 KB) - added by jacobd 7 months ago.

Change History

comment:1 Changed 7 months ago by Edmund Laugasson

I can confirm that fact - shared clipboard does not work despite same (6.1.4-136177) version (as VirtualBox) of installed Extension Pack at VirtualBox side and Guest Additions at VM side AND from VM Settings (Machine->Settings->General->Advanced->Shared Clipboard->Bidirectional->OK) is Shared Clipboard turned on AND then VM started (or restarted). Using some VMs for everyday production and it is very annoying.

There has been earlier times an issue (copy-paste was actually partially broken) when copied text (e.g. URL from browser) was needed to paste into text editor first in VM and then from there again copy AND then it was possible to paste outside VM. Now the copy-paste is completely broken

Host and guest both: 64-bit Linux Mint 19.3 MATE (based on Ubuntu 18.04 LTS newest version) with all newest updates.

Last edited 7 months ago by Edmund Laugasson (previous) (diff)

Changed 7 months ago by Edmund Laugasson

The log of 64-bit Linux Mint 19.3 MATE virtual machine

Changed 7 months ago by jacobd

comment:2 Changed 7 months ago by jacobd

This is happening to me as well on a Windows 10 Host and Debian Buster (10) Linux Guest. Tried reinstalling Guest Additions on Guest and restarting host and guest. Attached a recent log to this ticket.

Also see this thread for other users with the same issue:  https://forums.virtualbox.org/viewtopic.php?f=3&t=96957

Users are reporting that downgrading to a previous version of the Guest Additions resolves the issue.

comment:3 Changed 7 months ago by fbatschu

Yes, it's entirely broken. interestingly we see this error in the Linux guest:

[   67.704503] 09:00:33.994989 main     VBoxService 6.1.4 r136177 (verbosity: 0) linux.amd64 (Feb 18 2020 18:13:55) release log
               09:00:33.995119 main     Log opened 2020-02-24T09:00:33.994694000Z
[   67.704632] 09:00:33.995328 main     OS Product: Linux
[   67.704708] 09:00:33.995407 main     OS Release: 5.3.0-28-generic
[   67.704777] 09:00:33.995481 main     OS Version: #30~18.04.1-Ubuntu SMP Fri Jan 17 06:14:09 UTC 2020
[   67.705493] 09:00:33.996125 main     Executable: /opt/VBoxGuestAdditions-6.1.4/sbin/VBoxService
               09:00:33.996129 main     Process ID: 1346
               09:00:33.996132 main     Package type: LINUX_64BITS_GENERIC
[   67.711088] 09:00:34.001714 main     6.1.4 r136177 started. Verbose level = 0
[   67.714821] 09:00:34.005471 main     vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
[   67.830458] vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
[   67.830927] vboxsf: Successfully loaded version 6.1.4
[   67.831045] vboxsf: Successfully loaded version 6.1.4 on 5.3.0-28-generic SMP mod_unload  (LINUX_VERSION_CODE=0x5030d)
[   67.834318] 09:00:34.124961 automount vbsvcAutomounterMountIt: Successfully mounted 'Downloads' on '/media/sf_Downloads'
[   67.839607] 09:00:34.130210 automount vbsvcAutomounterMountIt: Successfully mounted 'Music' on '/media/sf_Music'
[  275.259268] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
[  278.758899] VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138

VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138

which is:

/** Device or resource is busy. */                                                                                                 
#define VERR_RESOURCE_BUSY                  (-138)    

The failing IOCTL may or may not be related, in the host log file we find this corresponding entry:

1850 00:14:57.567629 VMMDev: Guest Log: 09:00:33.994989 main VBoxService 6.1.4 r136177 (verbosity: 0) linux.amd64 (Feb 18 2020 18:13:55) release log
1851 00:14:57.567673 VMMDev: Guest Log: 09:00:33.995119 main     Log opened 2020-02-24T09:00:33.994694000Z
1852 00:14:57.567804 VMMDev: Guest Log: 09:00:33.995328 main     OS Product: Linux
1853 00:14:57.567884 VMMDev: Guest Log: 09:00:33.995407 main     OS Release: 5.3.0-28-generic
1854 00:14:57.567950 VMMDev: Guest Log: 09:00:33.995481 main     OS Version: #30~18.04.1-Ubuntu SMP Fri Jan 17 06:14:09 UTC 2020
1855 00:14:57.568619 VMMDev: Guest Log: 09:00:33.996125 main Executable: /opt/VBoxGuestAdditions-6.1.4/sbin/VBoxService
1856 00:14:57.568648 VMMDev: Guest Log: 09:00:33.996129 main     Process ID: 1346
1857 00:14:57.568658 VMMDev: Guest Log: 09:00:33.996132 main     Package type: LINUX_64BITS_GENERIC
1858 00:14:57.574187 VMMDev: Guest Log: 09:00:34.001714 main     6.1.4 r136177 started. Verbose level = 0
1859 00:14:57.576838 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
1860 00:14:57.576875 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=0, Machine-state=5
1861 00:14:57.577888 VMMDev: Guest Log: 09:00:34.005471 main vbglR3GuestCtrlDetectPeekGetCancelSupport: Supported (#1)
1862 00:14:57.578413 Guest Control: GUEST_MSG_REPORT_FEATURES: 0x1, 0x8000000000000000
1863 00:14:57.587678 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
1864 00:14:57.587723 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
1865 00:14:57.587768 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
1866 00:14:57.587781 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=0, Machine-state=5
1867 00:14:57.693489 VMMDev: Guest Log: vboxsf: g_fHostFeatures=0x8000000f g_fSfFeatures=0x1 g_uSfLastFunction=29
1868 00:14:57.694080 VMMDev: Guest Log: vboxsf: Successfully loaded version 6.1.4 on 5.3.0-28-generic SMP mod_unload  (LINUX_VERSI ON_CODE=0x5030d)
1869 00:14:57.697449 VMMDev: Guest Log: 09:00:34.124961 automount vbsvcAutomounterMountIt: Successfully mounted 'Downloads' on '/m edia/sf_Downloads'
1870 00:14:57.702656 VMMDev: Guest Log: 09:00:34.130210 automount vbsvcAutomounterMountIt: Successfully mounted 'Music' on '/media /sf_Music'
1871 00:15:00.558915 Display::i_handleDisplayResize: uScreenId=0 pvVRAM=0000000000000000 w=800 h=600 bpp=0 cbLine=0x0 flags=0x2 or igin=0,0
1872 00:15:00.562828 Display::i_handleDisplayResize: uScreenId=0 pvVRAM=00007f13a092e000 w=1208 h=806 bpp=32 cbLine=0x12E0 flags=0     x1 origin=0,0
1873 00:15:00.572038 GUI: UIMachineLogic: Guest-screen count changed
1874 00:15:00.909695 GUI: UIMachineView::sltPerformGuestResize: Sending guest size-hint to screen 0 as 1208x806 if necessary
1875 00:18:25.115940 VMMDev: Guest Additions capability report: (0x4 -> 0x5) seamless: yes, hostWindowMapping: no, graphics: yes
1876 00:18:25.116097 GUI: UISession::sltAdditionsChange: GA state really changed, notifying listeners
1877 00:18:25.116133 GUI: UIMachineViewNormal::adjustGuestScreenSize: Adjust guest-screen size if necessary
1878 00:18:25.116149 GUI: UISession::sltAdditionsChange: GA state change event came, notifying listeners
1879 00:18:25.116152 GUI: UIMachineLogicNormal::sltCheckForRequestedVisualStateType: Requested-state=0, Machine-state=5
1880 00:18:25.122382 VMMDev: Guest Log: VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138
1881 00:18:28.052450 Audio: Disabling input for driver 'PulseAudio'
1882 00:18:28.054322 Audio Mixer: Setting recording source of sink '[Recording] Line In' to '<None>'
1883 00:18:28.054491 PulseAudio: Retrieving server information ...
1884 00:18:28.061085 PulseAudio: Retrieving server information ...
1885 00:18:28.064356 Audio: Enabling input for driver 'PulseAudio'
1886 00:18:28.066884 Audio Mixer: Setting recording source of sink '[Recording] Line In' to '[Line-In] PulseAudio'
1887 00:18:28.621915 VMMDev: Guest Log: VBGL_IOCTL_ACQUIRE_GUEST_CAPABILITIES failed rc=-138

The reason why the shared clipboard does not work is because the shared clipboard handling process inside the guest decided to exit for unknown reasons:

 28 00:00:00.650901 Shared Clipboard: Service loaded
  29 00:00:00.650913 Shared Clipboard: Mode: Bidirectional
  30 00:00:00.650942 Shared Clipboard: Service running in normal mode
  31 00:00:00.651438 Drag and drop service loaded
  32 00:00:00.651444 Drag and drop mode: Bidirectional
[...]
1527 00:07:11.805118 Shared Clipboard: Starting X11 event thread
[...]
1604 00:13:08.040799 Shared Clipboard: Stopping X11 event thread ...
1605 00:13:08.041105 Shared Clipboard: X11 event thread terminated successfully

In a good working guest, eg. 6.1.2 the picture would be like this:

fbatschu@fbatschu-VirtualBox:~$ ps -eafd|grep VB
root       511     2  0 10:08 ?        00:00:00 [iprt-VBoxWQueue]
root      1110     1  0 10:09 ?        00:00:00 VBoxClient --vmsvga
root      1111  1110  0 10:09 ?        00:00:00 VBoxClient --vmsvga
root      1149     1  0 10:09 ?        00:00:00 /usr/sbin/VBoxService --pidfile /var/run/vboxadd-service.sh
fbatschu  1503     1  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --clipboard
fbatschu  1504  1503  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --clipboard
fbatschu  1510     1  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --display
fbatschu  1511  1510  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --display
fbatschu  1517     1  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --seamless
fbatschu  1519  1517  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --seamless
fbatschu  1524     1  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --draganddrop
fbatschu  1525  1524  0 10:17 ?        00:00:02 /usr/bin/VBoxClient --draganddrop

In the guest running the 6.1.4 GAs we are missing:

fbatschu  1503     1  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --clipboard
fbatschu  1504  1503  0 10:17 ?        00:00:00 /usr/bin/VBoxClient --clipboard

Which explains why the shared clipboard ist not working, there is no handler for it.

Last edited 7 months ago by fbatschu (previous) (diff)

comment:4 follow-up: ↓ 6 Changed 7 months ago by fbatschu

WORKAROUND:

Use the 6.1.2 guest additions if you need the shared clipboard/cut&paste between host & guest

OR: manually start the shared clibboard process inside the guest using: /usr/bin/VBoxClient --clipboard - with that at least copy & paste from the host into the guest works, however the other direction guest to host still does not work with that.

Last edited 7 months ago by fbatschu (previous) (diff)

comment:5 Changed 7 months ago by fbatschu

  • Host type changed from Windows to all

comment:6 in reply to: ↑ 4 Changed 7 months ago by Edmund Laugasson

Replying to fbatschu:

WORKAROUND: OR: manually start the shared clibboard process inside the guest using: /usr/bin/VBoxClient --clipboard - with that at least copy & paste from the host into the guest works, however the other direction guest to host still does not work with that.

For me (host/guest 64-bit Linux Mint 19.3 MATE) that workaround did not work. I already see clipboard processes:

$ ps aux|grep VB
root       407  0.0  0.0      0     0 ?        I<   15:42   0:00 [iprt-VBoxWQueue]
root      1035  0.0  0.0 322560  3352 ?        Sl   15:42   0:00 /usr/sbin/VBoxService --pidfile /var/run/vboxadd-service.sh
student   1178  0.0  0.0  53852   376 ?        S    15:42   0:00 /usr/bin/VBoxClient --display
student   1179  0.0  0.0  53984  3600 ?        S    15:42   0:00 /usr/bin/VBoxClient --display
student   1186  0.0  0.0  53852   376 ?        S    15:42   0:00 /usr/bin/VBoxClient --seamless
student   1187  0.0  0.0 186088  2760 ?        Sl   15:42   0:00 /usr/bin/VBoxClient --seamless
student   1195  0.0  0.0  53852   380 ?        S    15:42   0:00 /usr/bin/VBoxClient --draganddrop
student   1196  0.1  0.0 186604  2848 ?        Sl   15:42   0:00 /usr/bin/VBoxClient --draganddrop
student   1205  0.0  0.0  53852  1532 ?        S    15:42   0:00 /usr/bin/VBoxClient --vmsvga-x11
student   1884  0.0  0.0  53852  1404 ?        S    15:42   0:00 /usr/bin/VBoxClient --vmsvga-x11
student   3589  0.0  0.0  53852   376 ?        S    15:44   0:00 VBoxClient --clipboard
student   3590  0.0  0.0  53852   376 ?        S    15:44   0:00 VBoxClient --clipboard

So, running VBoxClient --clipboard again did not help at all.

Probably will switch back to older  6.1.2 Guest Additions.

Some additional reading  https://superuser.com/questions/536827/virtualbox-bidirectional-clipboard-sharing-stops-working-after-some-time-on-a-li - for me these tricks do not work. I do not get clipboard working despite I kill and restart. Also I noticed with watch command (watch 'ps aux | grep VBoxClient') that clipboard service works exactly 60 seconds and then will close down.

Last edited 7 months ago by Edmund Laugasson (previous) (diff)

comment:7 Changed 7 months ago by ronabop

Also visible on Oracle Linux 8 guest with Oracle Linux 7 host, reverting host and guest to 6.1.2 worked as a temporary solution (I reverted host so future automount/guest additions installs would not use 6.1.4.)

comment:8 Changed 7 months ago by BBQigniter

Here on Fedora 31 guest - had to revert to 6.1.2 guest-additions and some 5.4 kernel. Virtualbox itself is still 6.1.4 (windows 10 host)

tried with guest-additions 6.1.3 from the testbuilds (https://www.virtualbox.org/wiki/Testbuilds - dev-snapshot) too but still clipboard didnt work.

(edit: added host and guest hints)

Last edited 7 months ago by BBQigniter (previous) (diff)

comment:9 Changed 7 months ago by j00n

Also here with Host ArchLinux (kernel 5.5.4) and several different Linux guest systems. Just wanted to confirm. I had to rollback guest utils and modules to 6.1.2.

comment:10 Changed 7 months ago by boss_mc

Reading the code it appears that the logic that starts up the Xserver integration for clipboard handling is commented out, both in the 6.1.4 guest additions and in the master codebase, the vboxClipboardConnect function is wrapped in #if 0 ... #endif and the callsite is replaced with int rc = 0 (in place of int rc = vboxClipboardConnect()).

This means that starting VBoxClient -clipboard spawns a process that sleeps for 60 seconds then shuts down and provides no clipboard integration whatsoever.

I've also reported this to the developer mailing list.

Last edited 7 months ago by boss_mc (previous) (diff)

comment:11 follow-up: ↓ 14 Changed 7 months ago by meiser1979

To comment to boss_mc's analysis, it's this commit which changed it.

comment:12 Changed 7 months ago by meiser1979

Thanks boss_mc, the following patch enables clipboard again.

--- a/src/VBox/Additions/x11/VBoxClient/clipboard.cpp
+++ b/src/VBox/Additions/x11/VBoxClient/clipboard.cpp
@@ -215,7 +215,6 @@
  *
  * @returns VBox status code.
  */
-#if 0
 static int vboxClipboardConnect(void)
 {
     LogFlowFuncEnter();
@@ -245,7 +244,6 @@
     LogFlowFuncLeaveRC(rc);
     return rc;
 }
-#endif
 
 /**
  * The main loop of our clipboard reader.
@@ -469,7 +467,7 @@
     RT_NOREF(ppInterface, fDaemonised);
 
     /* Initialise the guest library. */
-    int rc = 0; //vboxClipboardConnect();
+    int rc = vboxClipboardConnect();
     if (RT_SUCCESS(rc))
     {
 #ifdef VBOX_WITH_SHARED_CLIPBOARD_FUSE
@@ -477,9 +475,7 @@
         if (RT_SUCCESS(rc))
         {
 #endif
-            RTThreadSleep(60 * 1000);
-
-            //rc = vboxClipboardMain();
+            rc = vboxClipboardMain();
 
 #ifdef VBOX_WITH_SHARED_CLIPBOARD_FUSE
             int rc2 = vboxClipboardFUSEStop();

comment:13 Changed 7 months ago by fbatschu

  • Owner set to fbatschu
  • Status changed from new to accepted

comment:14 in reply to: ↑ 11 Changed 7 months ago by fbatschu

Replying to meiser1979:

To comment to boss_mc's analysis, it's this commit which changed it.


The changeset r135862 introduced this regression in 6.4.1

comment:15 Changed 7 months ago by fbatschu

diffs for the 6.1.4 branch, Trunk will be similar

$ svn diff
Index: src/VBox/Additions/x11/VBoxClient/clipboard.cpp
===================================================================
--- src/VBox/Additions/x11/VBoxClient/clipboard.cpp	(revision 136307)
+++ src/VBox/Additions/x11/VBoxClient/clipboard.cpp	(working copy)
@@ -107,7 +107,7 @@
     else
 #endif
     {
-        uint32_t cbData = _4K; /** @ŧodo Make this dynamic. */
+        uint32_t cbData = _4K; /** @todo Make this dynamic. */
         void    *pvData = RTMemAlloc(cbData);
         if (pvData)
         {
@@ -215,7 +215,6 @@
  *
  * @returns VBox status code.
  */
-#if 0
 static int vboxClipboardConnect(void)
 {
     LogFlowFuncEnter();
@@ -245,7 +244,6 @@
     LogFlowFuncLeaveRC(rc);
     return rc;
 }
-#endif
 
 /**
  * The main loop of our clipboard reader.
@@ -469,7 +467,7 @@
     RT_NOREF(ppInterface, fDaemonised);
 
     /* Initialise the guest library. */
-    int rc = 0; //vboxClipboardConnect();
+    int rc = vboxClipboardConnect();
     if (RT_SUCCESS(rc))
     {
 #ifdef VBOX_WITH_SHARED_CLIPBOARD_FUSE
@@ -477,10 +475,8 @@
         if (RT_SUCCESS(rc))
         {
 #endif
-            RTThreadSleep(60 * 1000);
+            rc = vboxClipboardMain();
 
-            //rc = vboxClipboardMain();
-
 #ifdef VBOX_WITH_SHARED_CLIPBOARD_FUSE
             int rc2 = vboxClipboardFUSEStop();
             if (RT_SUCCESS(rc))

Last edited 7 months ago by fbatschu (previous) (diff)

comment:16 Changed 7 months ago by fbatschu

fixed in trunk in revision: r136310
fixed in branch 6.1 in revision: r136311

Last edited 7 months ago by fbatschu (previous) (diff)

comment:18 Changed 7 months ago by eldon

Same problem on 6.1.4r136177 of virtualbox for Windows 10(host) and Ubuntu 18.04.01 (guest)

Last edited 7 months ago by eldon (previous) (diff)

comment:19 Changed 7 months ago by eldon

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions_6.1.97-136310.iso Fixed it for 6.1.4r136177 of virtualbox for Windows 10(host) and Ubuntu 18.04.01 (guest)

comment:20 Changed 7 months ago by pneumann

Guest Additions 6.1.97 r136310 fixes the shared clipboard problem on both Fedora 31 and Oracle Linux 7.7. Thank you!

comment:21 Changed 7 months ago by Aren Cambre

Guest Additions 6.1.97 r136310 fixes for Windows 10 host and Ubuntu 19.10 guest.

comment:22 Changed 7 months ago by Vek

Confirmed Guest Additions 6.1.97 r136310 corrects the issue for Fedora 31 guest and Mac 10.15.3 host.

comment:23 follow-up: ↓ 25 Changed 7 months ago by DStair

Guest Additions 6.1.97 r136310 fixed bidirectional copy and paste in Linux Mint 19.1 guest, but completely broke my shared folder. Could not even manually mount the folder.

failed to start vboxservice.service

Last edited 7 months ago by DStair (previous) (diff)

comment:24 Changed 7 months ago by fbatschu

the following test build for the 6.1 GAs (guest additions) contains the fix for the 6.1 branch/release train:

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions_6.1.5-136327.iso

comment:25 in reply to: ↑ 23 ; follow-up: ↓ 26 Changed 7 months ago by fbatschu

Replying to DStair:

Guest Additions 6.1.91 r136310 fixed bidirectional copy and paste in Linux Mint 19.1 guest, but completely broke my shared folder. Could not even manually mount the folder.

failed to start vboxservice.service

I have not issued a 6.1.91 version for trunk, I have issued 6.1.97-136310?

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions_6.1.97-136310.iso

I cannot reproduce the problem you described on a Ubuntu 18.04.03 host running with an Ubuntu 18.04.03 guest and the trunk GAs and also not with the 6.1 GAs I issued today (see update before). In both cases shared folders worked so I have insufficient information as to what might be wrong in your case. You need to provide the error log of the vboxservice for details.

Last edited 7 months ago by fbatschu (previous) (diff)

comment:26 in reply to: ↑ 25 Changed 7 months ago by DStair

My bad --> should have read 6.1.97 r136310

I tested Ubuntu and also confirmed both bidirectional copy and paste and shared folder works. My problem is in Mint 19.1. I am newish to virtual box, can you offer guidance as to which error log. I believe it is the log file located at C:\Users\dstair\.VirtualBox am I correct?

Replying to fbatschu:

Replying to DStair:

Guest Additions 6.1.91 r136310 fixed bidirectional copy and paste in Linux Mint 19.1 guest, but completely broke my shared folder. Could not even manually mount the folder.

failed to start vboxservice.service

I have not issued a 6.1.91 version for trunk, I have issued 6.1.97-136310?

https://www.virtualbox.org/download/testcase/VBoxGuestAdditions_6.1.97-136310.iso

I cannot reproduce the problem you described on a Ubuntu 18.04.03 host running with an Ubuntu 18.04.03 guest and the trunk GAs and also not with the 6.1 GAs I issued today (see update before). In both cases shared folders worked so I have insufficient information as to what might be wrong in your case. You need to provide the error log of the vboxservice for details.

Last edited 7 months ago by DStair (previous) (diff)

comment:27 Changed 7 months ago by DStair

Guest Additions 6.1.97 r136310 fixed bidirectional copy and paste in Ubuntu 14.04 guest

comment:28 Changed 7 months ago by DStair

Log file from C:\Users\dstair\.VirtualBox

00:00:00.001020 main VirtualBox COM Server 6.1.4 r136177 win.amd64 (Feb 18 2020 17:19:29) release log 00:00:00.001022 main Log opened 2020-03-04T13:27:56.594173200Z 00:00:00.001023 main Build Type: release 00:00:00.001030 main OS Product: Windows 10 00:00:00.001031 main OS Release: 10.0.18362 00:00:00.001032 main OS Service Pack: 00:00:00.059097 main DMI Product Name: Precision 7720 00:00:00.112447 main DMI Product Version: 00:00:00.112458 main Firmware type: UEFI 00:00:00.112762 main Secure Boot: VERR_PRIVILEGE_NOT_HELD 00:00:00.112784 main Host RAM: 32611MB (31.8GB) total, 26595MB (25.9GB) available 00:00:00.112789 main Executable: C:\Program Files\Oracle\VirtualBox\VBoxSVC.exe 00:00:00.112790 main Process ID: 16632 00:00:00.112790 main Package type: WINDOWS_64BITS_GENERIC 00:00:00.313430 VirtualBox: object creation starts 00:00:00.313679 Home directory: 'C:\Users\dstair\.VirtualBox' 00:00:00.313774 Installed Drivers: 00:00:00.336978 C:\WINDOWS\system32\DRIVERS\VBoxNetLwf.sys (Version: 6.1.4.36177) 00:00:00.353316 C:\WINDOWS\system32\DRIVERS\VBoxUSBMon.sys (Version: 6.1.4.36177) 00:00:00.469590 C:\WINDOWS\system32\DRIVERS\VBoxDrv.sys (Version: 6.1.4.36177) 00:00:00.488546 C:\WINDOWS\system32\DRIVERS\VBoxNetAdp6.sys (Version: 6.1.4.36177) 00:00:00.499461 Loading settings file "C:\Users\dstair\.VirtualBox\VirtualBox.xml" with version "1.12-windows" 00:00:00.502438 usbLibGetDevices: Starting USB device enumeration 00:00:00.504354 Getting USB descriptor (id 0) failed (dwErr=31) on hub USB#ROOT_HUB30#4&7d4e025&0&0#{f18a0e88-c30c-11d0-8815-00a0c906bed8} port 6 00:00:00.504410 Getting USB descriptor (id 0) failed (dwErr=31) on hub USB#ROOT_HUB30#4&7d4e025&0&0#{f18a0e88-c30c-11d0-8815-00a0c906bed8} port 10 00:00:00.504461 Getting USB descriptor (id 0) failed (dwErr=31) on hub USB#ROOT_HUB30#4&7d4e025&0&0#{f18a0e88-c30c-11d0-8815-00a0c906bed8} port 11 00:00:00.520941 usbLibGetDevices: Found 7 USB devices, 0 captured 00:00:00.521034 USB: Unknown USB device detected (idVendor: 0x0a5c, idProduct: 0x5832) 00:00:00.521075 USB: Unknown USB device detected (idVendor: 0x1bcf, idProduct: 0x2b96) 00:00:00.521091 USB: Unknown USB device detected (idVendor: 0x8087, idProduct: 0x0a2b) 00:00:00.686481 HostDnsMonitor: initializing 00:00:00.698527 HostDnsMonitor: updating information 00:00:00.698550 HostDnsMonitor: old information 00:00:00.698551 no server entries 00:00:00.698552 no domain set 00:00:00.698552 no search string entries 00:00:00.698553 HostDnsMonitor: new information 00:00:00.698553 server 1: 10.249.10.1 00:00:00.698553 server 2: 10.249.10.11 00:00:00.698554 domain: corporate.com 00:00:00.698554 no search string entries 00:00:00.910768 VD: VDInit finished with VINF_SUCCESS 00:00:00.919237 Loading settings file "C:\VM_Shared\Ubuntu1404\Ubuntu1404.vbox" with version "1.17-windows" 00:00:00.932413 Loading settings file "C:\VM_Shared\Gparted\Gparted\Gparted.vbox" with version "1.16-windows" 00:00:00.938073 Loading settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:00:00.960888 OCI: Local config file 'C:\Users\dstair\.VirtualBox\oci_config' does not exist 00:00:00.961054 OCI: Original config file 'C:\Users\dstair\.oci\config' does not exist 00:00:00.961055 OCI: Reading profiles finished with status ERROR_SUCCESS 00:00:00.961271 ExtPack: Created cloud provider 'OCI' (hrc=ERROR_SUCCESS) 00:00:00.961331 VirtualBox: object created 00:00:01.111589 Saving settings file "C:\Users\dstair\.VirtualBox\VirtualBox.xml" with version "1.12-windows" 00:00:15.635045 Launched VM: 65047872 pid: 14304 (0x37e0) frontend: GUI/Qt name: Mint19_1 00:00:21.754139 Load [C:\Program Files\Oracle\VirtualBox\ExtensionPacks\Oracle_VM_VirtualBox_Extension_Pack\win.amd64\VBoxHostWebcam.DLL] vrc=VINF_SUCCESS 00:00:22.453684 ERROR [COM]: aRC=VBOX_E_IPRT_ERROR (0x80bb0005) aIID={85632c68-b5bb-4316-a900-5eb28d3413df} aComponent={SessionMachine} aText={Saved screenshot data is not available (VERR_NOT_SUPPORTED)}, preserve=false aResultDetail=-37 00:00:51.796730 Saving settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:00:52.902686 Saving settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:04:28.969207 Saving settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:04:53.286819 Saving settings file "C:\Users\dstair\.VirtualBox\VirtualBox.xml" with version "1.12-windows" 00:04:53.417199 Saving settings file "C:\Users\dstair\.VirtualBox\VirtualBox.xml" with version "1.12-windows" 00:04:53.432838 Saving settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:14:43.484044 Saving settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:15:39.328692 Saving settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:15:39.350503 Saving settings file "C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vbox" with version "1.17-windows" 00:15:42.475176 Saving settings file "C:\Users\dstair\.VirtualBox\VirtualBox.xml" with version "1.12-windows" 00:15:42.484088 Saving settings file "C:\Users\dstair\.VirtualBox\VirtualBox.xml" with version "1.12-windows" 00:15:48.006498 main VirtualBox: object deletion starts 00:15:48.006644 main ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={ad47ad09-787b-44ab-b343-a082a3f2dfb1} aComponent={MediumWrap} aText={Medium 'C:\VM_Shared\Ubuntu1404\Ubuntu1404.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0 00:15:48.006677 main ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={ad47ad09-787b-44ab-b343-a082a3f2dfb1} aComponent={MediumWrap} aText={Medium 'C:\VM_Shared\Ubuntu1404\Snapshots/{38168329-53b3-41d2-a45e-cdfebbb37c67}.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0 00:15:48.006696 main ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={ad47ad09-787b-44ab-b343-a082a3f2dfb1} aComponent={MediumWrap} aText={Medium 'C:\VM_Shared\Ubuntu1404\Snapshots/{668e4eb0-075b-411e-9a06-ae09e6d0624a}.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0 00:15:48.006710 main ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={ad47ad09-787b-44ab-b343-a082a3f2dfb1} aComponent={MediumWrap} aText={Medium 'C:\VM_Shared\Ubuntu1404\Snapshots/{c83e0960-b51c-4ddf-86a9-764f47c84c87}.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0 00:15:48.006723 main ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={ad47ad09-787b-44ab-b343-a082a3f2dfb1} aComponent={MediumWrap} aText={Medium 'C:\VM_Shared\Ubuntu1404\Snapshots/{027fa55f-829d-467b-989d-943e9c4442fd}.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0 00:15:48.006886 main ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={ad47ad09-787b-44ab-b343-a082a3f2dfb1} aComponent={MediumWrap} aText={Medium 'C:\VM_Shared\Ubuntu1404\Ubuntu1404clone.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0 00:15:48.012140 main ERROR [COM]: aRC=VBOX_E_OBJECT_IN_USE (0x80bb000c) aIID={ad47ad09-787b-44ab-b343-a082a3f2dfb1} aComponent={MediumWrap} aText={Medium 'C:\VM_Shared\Mint19_1\Mint19_1\Mint19_1.vdi' cannot be closed because it is still attached to 1 virtual machines}, preserve=false aResultDetail=0 00:15:48.014239 main HostDnsMonitor: shutting down ... 00:15:48.014289 main HostDnsMonitor: shut down 00:15:48.016445 Watcher ERROR [COM]: aRC=E_ACCESSDENIED (0x80070005) aIID={d0a0163f-e254-4e5b-a1f2-011cf991c38d} aComponent={VirtualBoxWrap} aText={The object is not ready}, preserve=false aResultDetail=0 00:15:48.016942 main VirtualBox: object deleted

comment:29 Changed 7 months ago by DStair

Here is the history on the 6.1.4 update where I lost the ability to automatically mount my shared folder in Linux Mint 19.1 --> I solved this by editing the following sudo systemctl edit --full vboxadd-service

--> /etc/systemd/system/vboxadd-service.service

removed "systemd-timesync.service" from "Conflicts=" line in [Unit] section. change from --> Conflicts=shutdown.target systemd-timesync.service To --> Conflicts=shutdown.target Then rebooted Solved the automount issue. I still had a bidirectional copy and paste problem. I was directed here to this bug tracker. I installed the update VBoxGuestAdditions_6.1.97-136310.iso and that took care of my bidirectional copy and paste, but I could not mount my shared folder again. I found that the update did not update the version number in vboxadd-service.service

--> /etc/systemd/system/vboxadd-service.service --> it was still 6.1.4.

Changed the version number in the file above and it works now

comment:30 follow-up: ↓ 31 Changed 7 months ago by modolo

Hi!

In my case, I had to change it in two files:

/etc/systemd/system/vboxadd.service

/etc/systemd/system/vboxadd-service.service

lsb_release -a
LSB Version:	n/a
Distributor ID:	ManjaroLinux
Description:	Manjaro Linux
Release:	19.0.2
Codename:	Kyria

After that, everything started working (clipboard, shared folders, ...)!

Thanks,

Marcelo Módolo

comment:31 in reply to: ↑ 30 Changed 7 months ago by fbatschu

Replying to modolo:

Hi!

In my case, I had to change it in two files:

/etc/systemd/system/vboxadd.service

/etc/systemd/system/vboxadd-service.service

lsb_release -a
LSB Version:	n/a
Distributor ID:	ManjaroLinux
Description:	Manjaro Linux
Release:	19.0.2
Codename:	Kyria

After that, everything started working (clipboard, shared folders, ...)!

Thanks,

Marcelo Módolo

Your comment is in response to what problem please?

Last edited 7 months ago by fbatschu (previous) (diff)

comment:32 Changed 7 months ago by sergiomb

adding me

comment:33 Changed 7 months ago by Marat

I confirm that VirtualBox Guest Additions 6.1.97 r136310 fixes shared clipboard (for both directions) for Windows 10 1909 host, VirtualBox 6.1.4 and CentOS 7.7 1908 with 3.10.0-1062.12.1.el7 kernel guest

comment:34 Changed 7 months ago by sergiomb

please do a new release, suddenly broken clipboard is very annoying , generates tones of bug reports

comment:35 Changed 7 months ago by sergiomb

comment:36 Changed 7 months ago by PentestResearch

I was able to get it working by installing Guest Additions 6.1.2 instead of 6.1.4. I would greatly appreciate if this issue was resolved with a new release or fix on the back end, as it's caused issues for my students.

comment:37 follow-up: ↓ 40 Changed 7 months ago by zacym

I had the same problem with copy-paste not working between host & guest OSes.

Host: Windows 10
Guest: CentOS 7 kernel version 3.10.0-1062.12.1.el7.x86_64
VirtualBox version: 6.1.4 r136177
Guest Additions Info:
filename:       /lib/modules/3.10.0-1062.12.1.el7.x86_64/misc/vboxguest.ko
version:        6.1.4 r136177
license:        GPL
description:    Oracle VM VirtualBox Guest Additions for Linux Module
author:         Oracle Corporation
retpoline:      Y
rhelversion:    7.7
srcversion:     5DCD7BDAC92DEED412B755F
alias:          pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*
depends:        
vermagic:       3.10.0-1062.12.1.el7.x86_64 SMP mod_unload modversions

After upgrading Guest additions to 6.1.5, the bidirectional copy-paste works'''

Guest Additions Info (after Guest additions upgrade):
filename:       /lib/modules/3.10.0-1062.12.1.el7.x86_64/misc/vboxguest.ko
version:        6.1.5 r136459
license:        GPL
description:    Oracle VM VirtualBox Guest Additions for Linux Module
author:         Oracle Corporation
retpoline:      Y
rhelversion:    7.7
srcversion:     930C0CE9CA34E7751A277F3
alias:          pci:v000080EEd0000CAFEsv00000000sd00000000bc*sc*i*
depends:        
vermagic:       3.10.0-1062.12.1.el7.x86_64 SMP mod_unload modversions

The Guest additions version 6.1.5 were downloaded from https://www.virtualbox.org/wiki/Testbuilds

comment:38 Changed 6 months ago by MClark

I was advised on another forum to do the following for VB6.1.4/Win10 host/Ubuntu 19.10 guest. This solved the issue for me. Perhaps this will help Oracle or other users.

sudo apt-get update
sudo apt-get install virtualbox-guest-x11   
(If asked, choose the new file.)
sudo VBoxClient --clipboard
Last edited 6 months ago by MClark (previous) (diff)

comment:39 Changed 6 months ago by fsse8info

also BROKEN with windows 10 host and xubuntu 18 guest

comment:40 in reply to: ↑ 37 Changed 6 months ago by sawzall

Replying to zacym:

The Guest additions version 6.1.5 were downloaded from https://www.virtualbox.org/wiki/Testbuilds

Linux/VBox newbie here. Note about my issue:

  • drag/drop is working
  • copy/paste is NOT working
  • Host: Linux Mint 19.3 Tricia
  • Guest: Linux Mint 19.3 Tricia
  • Vbox: virtualbox-6.1_6.1.4-136177_Ubuntu_bionic_amd64

Upgrading VBox installation to 6.1.5 test build and installing GA 6.1.5 on guest solved the copy/paste issue.

Thank you.

comment:41 follow-ups: ↓ 42 ↓ 43 Changed 6 months ago by seanthegeek

This is a bug in the 6.1.4 Guest Additions, which explains why some users didn't report an issue even after upgrading their host to VirtualBox 6.1.4; they didn't upgrade the Guest Additions to 6.1.4 in their VMs. Upgrading the Guest Editions to a test build of 6.1.5 on the VM resolves the issue without needing to install an unsigned test VirtualBox build of 6.1.5 on the host system.

Test builds can be downloaded from https://www.virtualbox.org/wiki/Testbuilds

comment:42 in reply to: ↑ 41 Changed 6 months ago by fbatschu

Replying to seanthegeek:

This is a bug in the 6.1.4 Guest Additions, which explains why some users didn't report an issue even after upgrading their host to VirtualBox 6.1.4; they didn't upgrade the Guest Additions to 6.1.4 in their VMs. Upgrading the Guest Editions to a test build of 6.1.5 on the VM resolves the issue without needing to install an unsigned test VirtualBox build of 6.1.5 on the host system.

Test builds can be downloaded from https://www.virtualbox.org/wiki/Testbuilds


Suggested reading:

https://www.virtualbox.org/ticket/19336#comment:17

https://www.virtualbox.org/ticket/19336#comment:24

comment:43 in reply to: ↑ 41 Changed 6 months ago by fsse8info

Replying to seanthegeek:

This is a bug in the 6.1.4 Guest Additions, which explains why some users didn't report an issue even after upgrading their host to VirtualBox 6.1.4; they didn't upgrade the Guest Additions to 6.1.4 in their VMs. Upgrading the Guest Editions to a test build of 6.1.5 on the VM resolves the issue without needing to install an unsigned test VirtualBox build of 6.1.5 on the host system.

Test builds can be downloaded from https://www.virtualbox.org/wiki/Testbuilds

thanks will try 6.1.4 host again and leave guests tools at 6.1.2

comment:44 Changed 6 months ago by ahocana

Versión in test build, 6.1.5 work for me. Only crash full screen with two enabled. Thnks

comment:45 Changed 6 months ago by klaus

This is fixed properly with VirtualBox 6.1.6. Don't forget to update the guest additions in the VM.

comment:46 Changed 6 months ago by fsse8info

great many thanks :smile:

comment:47 Changed 6 months ago by klaus

  • Status changed from accepted to closed
  • Resolution set to fixed
  • Summary changed from Linux guest: shared clipboard doesn't work (on fresh VirtualBox-6.1.4-136177) to Linux guest: shared clipboard doesn't work (on fresh VirtualBox-6.1.4-136177) => fixed in 6.1.6

comment:48 Changed 4 months ago by Dumper

Works for v6.1.6 copying text from notepad++ but not from PDF acrobat reader 2017 (Win10 host) to Linux guest. Thank you!

Last edited 4 months ago by Dumper (previous) (diff)

comment:49 Changed 3 months ago by jack3636

This is no longer working with a fresh install of ubuntu 20.04, using the latest 6.1.6 versions of vbox additions. It worked fine with ubuntu 19.10. EDIT: I had installed the vbox guest additions via apt. I then removed them, and installed via the ISO (ie, firing up the guest, hitting right-ctrl & home keys, getting that pop up menu, hitting devices-> Insert Guest additions CD image, and hitting "run") and it worked fine. Bottom line, don't use apt.

Last edited 3 months ago by jack3636 (previous) (diff)

comment:50 Changed 7 weeks ago by caot

It doesn't work for redhat el7 with 6.1.6 r137129

Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use